# -*- coding: utf-8 -*-

from typing import Optional, Dict, List

from libastra_csp.yaml_settings import YamlSettings


class GraphicCryptoproSettings(YamlSettings):
    def __init__(self) -> None:
        super().__init__(file_path='/usr/share/astra-csp/fly-csp-cryptopro.yaml')

    @property
    def process_question_keys(self) -> Optional[Dict[int, Dict[str, List[str]]]]:
        return self.dictionary.get('process_question_keys')

    @property
    def required_gui_components_packages(self) -> Optional[List[str]]:
        return self.dictionary.get('required_gui_components_packages')


graphic_cryptopro_settings = GraphicCryptoproSettings()
graphic_cryptopro_settings.load()
